/*
Copyright 2010 Harteex Productions
License: Creative Commons Attribution 3.0 Unported
http://creativecommons.org/licenses/by/3.0/
*/
#ifndef __achievements_h__
#define __achievements_h__

#include <stdlib.h>
#include <stdint.h>
#include <sml/graphics.h>
#include <sml/sprite.h>
#include "list.h"

extern gfx_font* gameFontAchievement;
extern sprite* achievementLocked;
extern sprite* achievementUnlocked;
extern sprite* achievementCheck;

void drawAchievementList();
void drawAchievementPopup(uint16_t w, uint16_t h, uint16_t screenW, uint16_t screenH);

void unlockAchievement(uint8_t a);
bool isAchievementUnlocked(uint8_t a);
bool checkAchievements();

#define ACHIEVEMENT_EXTINCTION        0
#define ACHIEVEMENT_CLEAR             1
#define ACHIEVEMENT_HIGHSCORE1        2
#define ACHIEVEMENT_HIGHSCORE2        3
#define ACHIEVEMENT_CUMULATIVE1       4
#define ACHIEVEMENT_CUMULATIVE2       5
#define ACHIEVEMENT_SPEEDY            6
#define ACHIEVEMENT_ADDICTED          7

extern uint8_t achievementsTaken;
extern uint32_t cumulativeScore;
extern list curAchievements;

extern char* achievementNames[];
extern char* achievementDescriptions[];
extern bool achievementSecret[];

extern uint16_t achievementPopupTicks;

#endif
